/* CSS SELECTORS */

/*
Universal Selector (*) - target all elements
*/
*{ 
	font-family: "Courier New", monospace; 
	font-size: 20px;
}

/*
Type Selector (tag name) - targets elements with the specified type/ tag name.
*/
h1 {
	/*!important- it will override the styling of priority*/
	color: black !important;
	text-align: center;
	font-size: 2rem;
}

/*
	ID Selector (#id-name) - targets elements according to its id attribute; ideally used for targetting a unique element
*/

#zuitt-motto{
	letter-spacing: 5px;
}

/*
	Class Selector (.class-name) - targets elements according to its class attributes; ideally used for targeting multiple elemets at once and reusable.
*/

.offering-item {
	/* text-transform propeortty changed  the font size of a certain element */ text-transform: uppercase;
}

/* 
	Attribute Selector (attribute="value"/tagname[attribute]) targets wlements with a specified element attribute; used to target elements with a certain attribute.
 */
input[required]{
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;
}

/* CSS Selector combinators */
/*
	Adjacent Sibling Selectors (+) - select a sibling element that is directly after another specified element.
*/

h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*
Descendant Selector (whitespace/space) - matches all elements that are descendants of a specified elements.
*/

#bootcamp-learning-list>li{
	color:  #075966;
}
/*
General Sibling Selector(tilde ) select all elements that are next of  specified element
*/


/*multiple selector (,) allows us to use multiple selectors for one rule/ styling*/
h2~a, a{ 
	text-decoration: none; 
}

/* 
Child selector (>) - select all elements that are direct children of a specified element
*/
 
 section>form>label{
 	color: rgb(0, 0, 128);
	}

body{
	background-color: skyblue;
}

html{ 
	scroll-behavior: smooth; 
}

nav {
	background-color: white;
}

/* selector: hover - pseudo class*/
/*changes style when hovered over*/
a:hover {
	background-color: #b4d6de;
}

div{
	display: inline-block;
	float: right;
}

section{
	height: 100vh;
	text-align: center;
}

h2{
	font-size: 1.5rem;
}

ol{
	list-style-type: none;
}


form {
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	position: relative;
	left: 37.25%;
}

button {
	background-color: #cf0053;
	color:  white;
	border: 0;
	border-radius: 15px;
}
